# Module `awful.widget.textclock`

### Info:

- Author: Julien Danjou <julien@danjou.info>
- Copyright: 2009 Julien Danjou
- Release: v3.5.1

## Functions

new (format, timeout) | Create a textclock widget.

## Tables

textclock | Text clock widget.

## Functions

new (format, timeout)
  Create a textclock widget. It draws the time it is in a textbox.

  ### Parameters:

  - format The time format. Default is " %a %b %d, %H:%M ".
  - timeout How often update the time. Default is 60.

  ### Returns:

  A textbox widget.

## Tables

textclock
  Text clock widget. awful.widget.textclock

  ### Fields:

  - mt

generated by LDoc 1.3